Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics
Class LineView

    java.lang.Object
      ru.biosoft.graphics.View
          ru.biosoft.graphics.LineView

public class LineView
extends View

Field Summary
`protected Pen` | `pen`

Fields inherited from class ru.biosoft.graphics.View
`ACTIVE, at, BASELINE, BOTTOM, CENTER, HIDE, LEFT, model, RIGHT, shape, TOP, type`

Constructor Summary
`LineView(Pen pen, float X1, float Y1, float X2, float Y2)`
`LineView(Pen pen, java.awt.geom.Point2D pt0, java.awt.geom.Point2D pt1)`

Method Summary
`java.awt.Rectangle` | `getBounds()` Returns an integer `Rectangle` that completely encloses the `View`.
`void` | `move(int sx, int sy)` Moves View to the new location using specified offsets.
`void` | `paint(java.awt.Graphics2D g2)` Paints this view on specified Graphics2D.
`void` | `setToScale(double sx, double sy)` Scales view absolutely.

Methods inherited from class ru.biosoft.graphics.View
`getModel, getShape, intersects, isActive, isVisible, move, scale, setActive, setLocation, setLocation, setModel, setVisible, updateBounds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pen

    protected Pen pen

Constructor Detail

### LineView

    public LineView(Pen pen,
                    java.awt.geom.Point2D pt0,
                    java.awt.geom.Point2D pt1)

### LineView

    public LineView(Pen pen,
                    float X1,
                    float Y1,
                    float X2,
                    float Y2)

Method Detail

### getBounds

    public java.awt.Rectangle getBounds()

  Description copied from class: `View`
  Returns an integer `Rectangle` that completely encloses the `View`.

  Overrides:
    `getBounds` in class `View`
  Returns:
    an integer `Rectangle` that completely encloses the `View`.

### move

    public void move(int sx,
                     int sy)

  Description copied from class: `View`
  Moves View to the new location using specified offsets.

  Specified by:
    `move` in class `View`
  Parameters:
    `sx` - offset along the X axis direction.
    `sy` - offset along the Y axis direction.

### setToScale

    public void setToScale(double sx,
                           double sy)

  Description copied from class: `View`
  Scales view absolutely.

  Overrides:
    `setToScale` in class `View`
  Parameters:
    `sx` - sets factor along the X axis direction
    `sy` - sets factor along the Y axis direction

### paint

    public void paint(java.awt.Graphics2D g2)

  Description copied from class: `View`
  Paints this view on specified Graphics2D.

  Overrides:
    `paint` in class `View`
  Parameters:
    `g2` - specified Graphics2D.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.